<?php

use EventPortal\Domain\EventDelegate\Handlers\RegisterDelegate;
use EventPortal\Domain\EventDelegate\Handlers\UpdateFormData;
use EventPortal\Domain\EventDelegate\Handlers\UpdatePartialProgress;
use EventPortal\Domain\EventDelegate\Handlers\UpdateProgress;
use EventPortal\Domain\EventDelegate\RegistrationStatus;

return [
    'handlers' => [
        'store' => [
            new UpdateFormData,
            new UpdateProgress,
            new RegisterDelegate,
        ],
        'update' => [
            new UpdateFormData,
            new UpdatePartialProgress,
            new RegisterDelegate,
        ],
    ],
    'statusDelegateNeeds' => [
        RegistrationStatus::invited(),
        RegistrationStatus::registering(),
        RegistrationStatus::registered(),
    ],
];
