<?php

namespace EventPortal\Domain\Agenda\Values;

use EventPortal\Domain\Agenda\Models\Pathway as PathwayModel;

class Pathway
{
    /** @var int */
    public $id;

    /** @var string */
    public $name;

    /** @var string */
    public $description;

    public $sessions = null;

    public function __construct(PathwayModel $pathway)
    {
        $this->id = (int) $pathway->id;
        $this->name = $pathway->name;
        $this->description = $pathway->description;
    }
}
